#import "MyTransparentView.h"

@implementation MyTransparentView

- (id)initWithFrame:(NSRect)frameRect
{
	if ((self = [super initWithFrame:frameRect]) != nil) {
		// Add initialization code here
        alphaValue = 1;
	}
	return self;
}

- (void)drawRect:(NSRect)rect {
    
    
    float theSize = 100;
    NSRect i;
    
    i.origin.x = (rect.size.width - theSize) / 2;
    i.origin.y = ((rect.size.height - theSize) / 2);
    i.size.width = theSize;
    i.size.height = theSize;

    [[NSColor colorWithCalibratedWhite:1 alpha:alphaValue] set];
    NSRectFill(rect);
    
    NSBezierPath *path = [NSBezierPath bezierPathWithRect:i];
    
    NSShadow *shadow = [[[NSShadow alloc] init] autorelease];
    [shadow setShadowColor:[NSColor blackColor]];
    [shadow setShadowOffset:NSMakeSize(25, -25)];
    [shadow setShadowBlurRadius:15];
    
    [NSGraphicsContext saveGraphicsState];
    
    [shadow set];
    [path fill];
    
    [NSGraphicsContext restoreGraphicsState];
    
    [[NSColor yellowColor] set];
    
    [path fill];
}

- (IBAction)takeAlphaValueFrom:(id)sender
{
    alphaValue = [sender floatValue];
    [self setNeedsDisplay:YES];
}

@end
